package require -exact qsys 18.0

# create the system "lt_optimization"
proc do_create_lt_optimization {} {
	# create the system
	create_system lt_optimization
	set_project_property DEVICE {10AX016C3U19E2SG}
	set_project_property DEVICE_FAMILY {Arria 10}
	set_project_property HIDE_FROM_IP_CATALOG {false}
	set_use_testbench_naming_pattern 0 {}

	# add the components
	add_component clock_in ip/lt_optimization/lt_optimization_clock_in.ip altera_clock_bridge clock_in 19.2.0
	load_component clock_in
	set_component_parameter_value EXPLICIT_CLOCK_RATE {100000000.0}
	set_component_parameter_value NUM_CLOCK_OUTPUTS {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation clock_in
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface in_clk clock INPUT
	set_instantiation_interface_parameter_value in_clk clockRate {0}
	set_instantiation_interface_parameter_value in_clk externallyDriven {false}
	set_instantiation_interface_parameter_value in_clk ptfSchematicName {}
	add_instantiation_interface_port in_clk in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface out_clk clock OUTPUT
	set_instantiation_interface_parameter_value out_clk associatedDirectClock {in_clk}
	set_instantiation_interface_parameter_value out_clk clockRate {100000000}
	set_instantiation_interface_parameter_value out_clk clockRateKnown {true}
	set_instantiation_interface_parameter_value out_clk externallyDriven {false}
	set_instantiation_interface_parameter_value out_clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value out_clk clock_rate {100000000}
	add_instantiation_interface_port out_clk out_clk clk 1 STD_LOGIC Output
	save_instantiation
	add_component dctv_i2c_controller_0 ip/lt_optimization/lt_optimization_dctv_i2c_controller_0.ip dctv_i2c_controller dctv_i2c_controller_0 1.0
	load_component dctv_i2c_controller_0
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation dctv_i2c_controller_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface avalon_slave_0 avalon INPUT
	set_instantiation_interface_parameter_value avalon_slave_0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value avalon_slave_0 addressGroup {0}
	set_instantiation_interface_parameter_value avalon_slave_0 addressSpan {32}
	set_instantiation_interface_parameter_value avalon_slave_0 addressUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedClock {clock_sink}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedReset {clock_sink_reset}
	set_instantiation_interface_parameter_value avalon_slave_0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgesToMaster {}
	set_instantiation_interface_parameter_value avalon_slave_0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value avalon_slave_0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value avalon_slave_0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value avalon_slave_0 holdTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 interleaveBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isBigEndian {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isFlash {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isMemoryDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value avalon_slave_0 linewrapBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value avalon_slave_0 prSafe {false}
	set_instantiation_interface_parameter_value avalon_slave_0 printableDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 readLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitStates {1}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitTime {1}
	set_instantiation_interface_parameter_value avalon_slave_0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 setupTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value avalon_slave_0 transparentBridge {false}
	set_instantiation_interface_parameter_value avalon_slave_0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value avalon_slave_0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value avalon_slave_0 writeLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitStates {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitTime {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_map {<address-map><slave name='avalon_slave_0' start='0x0' end='0x20' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_width {5}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 max_slave_data_width {32}
	add_instantiation_interface_port avalon_slave_0 wb_ack_o waitrequest_n 1 STD_LOGIC Output
	add_instantiation_interface_port avalon_slave_0 wb_adr_i address 3 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port avalon_slave_0 wb_dat_i writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port avalon_slave_0 wb_dat_o readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_slave_0 wb_stb_i chipselect 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 wb_we_i write 1 STD_LOGIC Input
	add_instantiation_interface clock_sink clock INPUT
	set_instantiation_interface_parameter_value clock_sink clockRate {0}
	set_instantiation_interface_parameter_value clock_sink externallyDriven {false}
	set_instantiation_interface_parameter_value clock_sink ptfSchematicName {}
	add_instantiation_interface_port clock_sink wb_clk_i clk 1 STD_LOGIC Input
	add_instantiation_interface clock_sink_reset reset INPUT
	set_instantiation_interface_parameter_value clock_sink_reset associatedClock {clock_sink}
	set_instantiation_interface_parameter_value clock_sink_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clock_sink_reset wb_rst_i reset 1 STD_LOGIC Input
	add_instantiation_interface conduit_i2c conduit INPUT
	set_instantiation_interface_parameter_value conduit_i2c associatedClock {clock_sink}
	set_instantiation_interface_parameter_value conduit_i2c associatedReset {}
	set_instantiation_interface_parameter_value conduit_i2c prSafe {false}
	add_instantiation_interface_port conduit_i2c scl_pad_i scl_pad_in 1 STD_LOGIC Input
	add_instantiation_interface_port conduit_i2c scl_pad_o scl_pad_out 1 STD_LOGIC Output
	add_instantiation_interface_port conduit_i2c scl_padoen_o scl_padoen_oe 1 STD_LOGIC Output
	add_instantiation_interface_port conduit_i2c sda_pad_i sda_pad_in 1 STD_LOGIC Input
	add_instantiation_interface_port conduit_i2c sda_pad_o sda_pad_out 1 STD_LOGIC Output
	add_instantiation_interface_port conduit_i2c sda_padoen_o sda_padoen_oe 1 STD_LOGIC Output
	add_instantiation_interface_port conduit_i2c wb_inta_o inta_out 1 STD_LOGIC Output
	save_instantiation
	add_component irq_bridge_0 ip/lt_optimization/lt_optimization_irq_bridge_0.ip altera_irq_bridge irq_bridge_0 19.2.0
	load_component irq_bridge_0
	set_component_parameter_value IRQ_N {0}
	set_component_parameter_value IRQ_WIDTH {8}
	set_component_parameter_value SYNC_RESET {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation irq_bridge_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface receiver_irq interrupt OUTPUT
	set_instantiation_interface_parameter_value receiver_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value receiver_irq associatedClock {clk}
	set_instantiation_interface_parameter_value receiver_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value receiver_irq irqMap {<map><mapping port='0' sender='sender0_irq' /><mapping port='1' sender='sender1_irq' /><mapping port='2' sender='sender2_irq' /><mapping port='3' sender='sender3_irq' /><mapping port='4' sender='sender4_irq' /><mapping port='5' sender='sender5_irq' /><mapping port='6' sender='sender6_irq' /><mapping port='7' sender='sender7_irq' /></map>}
	set_instantiation_interface_parameter_value receiver_irq irqScheme {INDIVIDUAL_REQUESTS}
	add_instantiation_interface_port receiver_irq receiver_irq irq 8 STD_LOGIC_VECTOR Input
	add_instantiation_interface clk_reset reset INPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {clk}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clk_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface sender0_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender0_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender0_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender0_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender0_irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value sender0_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender0_irq irqScheme {NONE}
	add_instantiation_interface_port sender0_irq sender0_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender1_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender1_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender1_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender1_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender1_irq bridgedReceiverOffset {1}
	set_instantiation_interface_parameter_value sender1_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender1_irq irqScheme {NONE}
	add_instantiation_interface_port sender1_irq sender1_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender2_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender2_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender2_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender2_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender2_irq bridgedReceiverOffset {2}
	set_instantiation_interface_parameter_value sender2_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender2_irq irqScheme {NONE}
	add_instantiation_interface_port sender2_irq sender2_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender3_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender3_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender3_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender3_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender3_irq bridgedReceiverOffset {3}
	set_instantiation_interface_parameter_value sender3_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender3_irq irqScheme {NONE}
	add_instantiation_interface_port sender3_irq sender3_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender4_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender4_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender4_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender4_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender4_irq bridgedReceiverOffset {4}
	set_instantiation_interface_parameter_value sender4_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender4_irq irqScheme {NONE}
	add_instantiation_interface_port sender4_irq sender4_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender5_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender5_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender5_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender5_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender5_irq bridgedReceiverOffset {5}
	set_instantiation_interface_parameter_value sender5_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender5_irq irqScheme {NONE}
	add_instantiation_interface_port sender5_irq sender5_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender6_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender6_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender6_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender6_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender6_irq bridgedReceiverOffset {6}
	set_instantiation_interface_parameter_value sender6_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender6_irq irqScheme {NONE}
	add_instantiation_interface_port sender6_irq sender6_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender7_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender7_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender7_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender7_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender7_irq bridgedReceiverOffset {7}
	set_instantiation_interface_parameter_value sender7_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender7_irq irqScheme {NONE}
	add_instantiation_interface_port sender7_irq sender7_irq irq 1 STD_LOGIC Output
	save_instantiation
	add_component jtag_uart_0 ip/lt_optimization/lt_optimization_jtag_uart_0.ip altera_avalon_jtag_uart jtag_uart_0 19.1.0
	load_component jtag_uart_0
	set_component_parameter_value allowMultipleConnections {0}
	set_component_parameter_value hubInstanceID {0}
	set_component_parameter_value readBufferDepth {64}
	set_component_parameter_value readIRQThreshold {8}
	set_component_parameter_value simInputCharacterStream {}
	set_component_parameter_value simInteractiveOptions {NO_INTERACTIVE_WINDOWS}
	set_component_parameter_value useRegistersForReadBuffer {0}
	set_component_parameter_value useRegistersForWriteBuffer {0}
	set_component_parameter_value useRelativePathForSimFile {0}
	set_component_parameter_value writeBufferDepth {64}
	set_component_parameter_value writeIRQThreshold {8}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation jtag_uart_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.READ_DEPTH {64}
	set_instantiation_assignment_value embeddedsw.CMacro.READ_THRESHOLD {8}
	set_instantiation_assignment_value embeddedsw.CMacro.WRITE_DEPTH {64}
	set_instantiation_assignment_value embeddedsw.CMacro.WRITE_THRESHOLD {8}
	set_instantiation_assignment_value embeddedsw.dts.compatible {altr,juart-1.0}
	set_instantiation_assignment_value embeddedsw.dts.group {serial}
	set_instantiation_assignment_value embeddedsw.dts.name {juart}
	set_instantiation_assignment_value embeddedsw.dts.vendor {altr}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset rst_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface avalon_jtag_slave avalon INPUT
	set_instantiation_interface_parameter_value avalon_jtag_slave addressAlignment {NATIVE}
	set_instantiation_interface_parameter_value avalon_jtag_slave addressGroup {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave addressSpan {2}
	set_instantiation_interface_parameter_value avalon_jtag_slave addressUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_jtag_slave alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave associatedClock {clk}
	set_instantiation_interface_parameter_value avalon_jtag_slave associatedReset {reset}
	set_instantiation_interface_parameter_value avalon_jtag_slave bitsPerSymbol {8}
	set_instantiation_interface_parameter_value avalon_jtag_slave bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave bridgesToMaster {}
	set_instantiation_interface_parameter_value avalon_jtag_slave burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_jtag_slave constantBurstBehavior {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave explicitAddressSpan {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave holdTime {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave interleaveBursts {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave isBigEndian {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave isFlash {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave isMemoryDevice {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave linewrapBursts {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave minimumReadLatency {1}
	set_instantiation_interface_parameter_value avalon_jtag_slave minimumResponseLatency {1}
	set_instantiation_interface_parameter_value avalon_jtag_slave minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value avalon_jtag_slave prSafe {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave printableDevice {true}
	set_instantiation_interface_parameter_value avalon_jtag_slave readLatency {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave readWaitStates {1}
	set_instantiation_interface_parameter_value avalon_jtag_slave readWaitTime {1}
	set_instantiation_interface_parameter_value avalon_jtag_slave registerIncomingSignals {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave setupTime {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave timingUnits {Cycles}
	set_instantiation_interface_parameter_value avalon_jtag_slave transparentBridge {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave waitrequestAllowance {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value avalon_jtag_slave writeLatency {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave writeWaitStates {0}
	set_instantiation_interface_parameter_value avalon_jtag_slave writeWaitTime {0}
	set_instantiation_interface_assignment_value avalon_jtag_slave embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value avalon_jtag_slave embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value avalon_jtag_slave embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value avalon_jtag_slave embeddedsw.configuration.isPrintableDevice {1}
	set_instantiation_interface_sysinfo_parameter_value avalon_jtag_slave address_map {<address-map><slave name='avalon_jtag_slave' start='0x0' end='0x8' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value avalon_jtag_slave address_width {3}
	set_instantiation_interface_sysinfo_parameter_value avalon_jtag_slave max_slave_data_width {32}
	add_instantiation_interface_port avalon_jtag_slave av_chipselect chipselect 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_jtag_slave av_address address 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_jtag_slave av_read_n read_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_jtag_slave av_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_jtag_slave av_write_n write_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_jtag_slave av_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port avalon_jtag_slave av_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface irq interrupt INPUT
	set_instantiation_interface_parameter_value irq associatedAddressablePoint {avalon_jtag_slave}
	set_instantiation_interface_parameter_value irq associatedClock {clk}
	set_instantiation_interface_parameter_value irq associatedReset {reset}
	set_instantiation_interface_parameter_value irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value irq bridgesToReceiver {}
	set_instantiation_interface_parameter_value irq irqScheme {NONE}
	add_instantiation_interface_port irq av_irq irq 1 STD_LOGIC Output
	save_instantiation
	add_component lt_cpu ip/lt_optimization/lt_cpu.ip altera_nios2_gen2 lt_cpu 19.1.0
	load_component lt_cpu
	set_component_parameter_value bht_ramBlockType {Automatic}
	set_component_parameter_value breakOffset {32}
	set_component_parameter_value breakSlave {None}
	set_component_parameter_value cdx_enabled {0}
	set_component_parameter_value cpuArchRev {1}
	set_component_parameter_value cpuID {0}
	set_component_parameter_value cpuReset {0}
	set_component_parameter_value data_master_high_performance_paddr_base {0}
	set_component_parameter_value data_master_high_performance_paddr_size {0.0}
	set_component_parameter_value data_master_paddr_base {0}
	set_component_parameter_value data_master_paddr_size {0.0}
	set_component_parameter_value dcache_bursts {false}
	set_component_parameter_value dcache_numTCDM {0}
	set_component_parameter_value dcache_ramBlockType {Automatic}
	set_component_parameter_value dcache_size {2048}
	set_component_parameter_value dcache_tagramBlockType {Automatic}
	set_component_parameter_value dcache_victim_buf_impl {ram}
	set_component_parameter_value debug_OCIOnchipTrace {_128}
	set_component_parameter_value debug_assignJtagInstanceID {0}
	set_component_parameter_value debug_datatrigger {0}
	set_component_parameter_value debug_debugReqSignals {0}
	set_component_parameter_value debug_enabled {1}
	set_component_parameter_value debug_hwbreakpoint {0}
	set_component_parameter_value debug_jtagInstanceID {0}
	set_component_parameter_value debug_traceStorage {onchip_trace}
	set_component_parameter_value debug_traceType {none}
	set_component_parameter_value debug_triggerArming {1}
	set_component_parameter_value dividerType {no_div}
	set_component_parameter_value exceptionOffset {32}
	set_component_parameter_value exceptionSlave {onchip_memory2_0.s1}
	set_component_parameter_value fa_cache_line {2}
	set_component_parameter_value fa_cache_linesize {0}
	set_component_parameter_value flash_instruction_master_paddr_base {0}
	set_component_parameter_value flash_instruction_master_paddr_size {0.0}
	set_component_parameter_value icache_burstType {None}
	set_component_parameter_value icache_numTCIM {0}
	set_component_parameter_value icache_ramBlockType {Automatic}
	set_component_parameter_value icache_size {2048}
	set_component_parameter_value icache_tagramBlockType {Automatic}
	set_component_parameter_value impl {Tiny}
	set_component_parameter_value instruction_master_high_performance_paddr_base {0}
	set_component_parameter_value instruction_master_high_performance_paddr_size {0.0}
	set_component_parameter_value instruction_master_paddr_base {0}
	set_component_parameter_value instruction_master_paddr_size {0.0}
	set_component_parameter_value io_regionbase {0}
	set_component_parameter_value io_regionsize {0}
	set_component_parameter_value master_addr_map {0}
	set_component_parameter_value mmu_TLBMissExcOffset {0}
	set_component_parameter_value mmu_TLBMissExcSlave {None}
	set_component_parameter_value mmu_autoAssignTlbPtrSz {1}
	set_component_parameter_value mmu_enabled {0}
	set_component_parameter_value mmu_processIDNumBits {8}
	set_component_parameter_value mmu_ramBlockType {Automatic}
	set_component_parameter_value mmu_tlbNumWays {16}
	set_component_parameter_value mmu_tlbPtrSz {7}
	set_component_parameter_value mmu_udtlbNumEntries {6}
	set_component_parameter_value mmu_uitlbNumEntries {4}
	set_component_parameter_value mpu_enabled {0}
	set_component_parameter_value mpu_minDataRegionSize {12}
	set_component_parameter_value mpu_minInstRegionSize {12}
	set_component_parameter_value mpu_numOfDataRegion {8}
	set_component_parameter_value mpu_numOfInstRegion {8}
	set_component_parameter_value mpu_useLimit {0}
	set_component_parameter_value mpx_enabled {0}
	set_component_parameter_value mul_32_impl {2}
	set_component_parameter_value mul_64_impl {0}
	set_component_parameter_value mul_shift_choice {0}
	set_component_parameter_value ocimem_ramBlockType {Automatic}
	set_component_parameter_value ocimem_ramInit {0}
	set_component_parameter_value regfile_ramBlockType {Automatic}
	set_component_parameter_value register_file_por {0}
	set_component_parameter_value resetOffset {0}
	set_component_parameter_value resetSlave {onchip_memory2_0.s1}
	set_component_parameter_value resetrequest_enabled {1}
	set_component_parameter_value setting_HBreakTest {0}
	set_component_parameter_value setting_HDLSimCachesCleared {1}
	set_component_parameter_value setting_activateMonitors {1}
	set_component_parameter_value setting_activateTestEndChecker {0}
	set_component_parameter_value setting_activateTrace {0}
	set_component_parameter_value setting_allow_break_inst {0}
	set_component_parameter_value setting_alwaysEncrypt {1}
	set_component_parameter_value setting_asic_add_scan_mode_input {0}
	set_component_parameter_value setting_asic_enabled {0}
	set_component_parameter_value setting_asic_synopsys_translate_on_off {0}
	set_component_parameter_value setting_asic_third_party_synthesis {0}
	set_component_parameter_value setting_avalonDebugPortPresent {0}
	set_component_parameter_value setting_bhtPtrSz {8}
	set_component_parameter_value setting_bigEndian {0}
	set_component_parameter_value setting_branchpredictiontype {Dynamic}
	set_component_parameter_value setting_breakslaveoveride {0}
	set_component_parameter_value setting_clearXBitsLDNonBypass {1}
	set_component_parameter_value setting_dc_ecc_present {1}
	set_component_parameter_value setting_disable_tmr_inj {0}
	set_component_parameter_value setting_disableocitrace {0}
	set_component_parameter_value setting_dtcm_ecc_present {1}
	set_component_parameter_value setting_ecc_present {0}
	set_component_parameter_value setting_ecc_sim_test_ports {0}
	set_component_parameter_value setting_exportHostDebugPort {0}
	set_component_parameter_value setting_exportPCB {0}
	set_component_parameter_value setting_export_large_RAMs {0}
	set_component_parameter_value setting_exportdebuginfo {0}
	set_component_parameter_value setting_exportvectors {0}
	set_component_parameter_value setting_fast_register_read {0}
	set_component_parameter_value setting_ic_ecc_present {1}
	set_component_parameter_value setting_interruptControllerType {Internal}
	set_component_parameter_value setting_itcm_ecc_present {1}
	set_component_parameter_value setting_mmu_ecc_present {1}
	set_component_parameter_value setting_oci_export_jtag_signals {0}
	set_component_parameter_value setting_oci_version {1}
	set_component_parameter_value setting_preciseIllegalMemAccessException {0}
	set_component_parameter_value setting_removeRAMinit {0}
	set_component_parameter_value setting_rf_ecc_present {1}
	set_component_parameter_value setting_shadowRegisterSets {0}
	set_component_parameter_value setting_showInternalSettings {0}
	set_component_parameter_value setting_showUnpublishedSettings {0}
	set_component_parameter_value setting_support31bitdcachebypass {1}
	set_component_parameter_value setting_tmr_output_disable {0}
	set_component_parameter_value setting_usedesignware {0}
	set_component_parameter_value shift_rot_impl {1}
	set_component_parameter_value tightly_coupled_data_master_0_paddr_base {0}
	set_component_parameter_value tightly_coupled_data_master_0_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_data_master_1_paddr_base {0}
	set_component_parameter_value tightly_coupled_data_master_1_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_data_master_2_paddr_base {0}
	set_component_parameter_value tightly_coupled_data_master_2_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_data_master_3_paddr_base {0}
	set_component_parameter_value tightly_coupled_data_master_3_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_instruction_master_0_paddr_base {0}
	set_component_parameter_value tightly_coupled_instruction_master_0_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_instruction_master_1_paddr_base {0}
	set_component_parameter_value tightly_coupled_instruction_master_1_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_instruction_master_2_paddr_base {0}
	set_component_parameter_value tightly_coupled_instruction_master_2_paddr_size {0.0}
	set_component_parameter_value tightly_coupled_instruction_master_3_paddr_base {0}
	set_component_parameter_value tightly_coupled_instruction_master_3_paddr_size {0.0}
	set_component_parameter_value tmr_enabled {0}
	set_component_parameter_value tracefilename {}
	set_component_parameter_value userDefinedSettings {}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation lt_cpu
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value debug.hostConnection {type jtag id 70:34|110:135}
	set_instantiation_assignment_value embeddedsw.CMacro.BIG_ENDIAN {0}
	set_instantiation_assignment_value embeddedsw.CMacro.BREAK_ADDR {0x00040820}
	set_instantiation_assignment_value embeddedsw.CMacro.CPU_ARCH_NIOS2_R1 {}
	set_instantiation_assignment_value embeddedsw.CMacro.CPU_FREQ {100000000u}
	set_instantiation_assignment_value embeddedsw.CMacro.CPU_ID_SIZE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.CPU_ID_VALUE {0x00000000}
	set_instantiation_assignment_value embeddedsw.CMacro.CPU_IMPLEMENTATION {"tiny"}
	set_instantiation_assignment_value embeddedsw.CMacro.DATA_ADDR_WIDTH {19}
	set_instantiation_assignment_value embeddedsw.CMacro.DCACHE_LINE_SIZE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.DCACHE_LINE_SIZE_LOG2 {0}
	set_instantiation_assignment_value embeddedsw.CMacro.DCACHE_SIZE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.EXCEPTION_ADDR {0x00020020}
	set_instantiation_assignment_value embeddedsw.CMacro.FLASH_ACCELERATOR_LINES {0}
	set_instantiation_assignment_value embeddedsw.CMacro.FLASH_ACCELERATOR_LINE_SIZE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.FLUSHDA_SUPPORTED {}
	set_instantiation_assignment_value embeddedsw.CMacro.HARDWARE_DIVIDE_PRESENT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.HARDWARE_MULTIPLY_PRESENT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.HARDWARE_MULX_PRESENT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.HAS_DEBUG_CORE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.HAS_DEBUG_STUB {}
	set_instantiation_assignment_value embeddedsw.CMacro.HAS_ILLEGAL_INSTRUCTION_EXCEPTION {}
	set_instantiation_assignment_value embeddedsw.CMacro.HAS_JMPI_INSTRUCTION {}
	set_instantiation_assignment_value embeddedsw.CMacro.ICACHE_LINE_SIZE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.ICACHE_LINE_SIZE_LOG2 {0}
	set_instantiation_assignment_value embeddedsw.CMacro.ICACHE_SIZE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.INST_ADDR_WIDTH {19}
	set_instantiation_assignment_value embeddedsw.CMacro.OCI_VERSION {1}
	set_instantiation_assignment_value embeddedsw.CMacro.RESET_ADDR {0x00020000}
	set_instantiation_assignment_value embeddedsw.configuration.DataCacheVictimBufImpl {ram}
	set_instantiation_assignment_value embeddedsw.configuration.HDLSimCachesCleared {1}
	set_instantiation_assignment_value embeddedsw.configuration.breakOffset {32}
	set_instantiation_assignment_value embeddedsw.configuration.breakSlave {lt_cpu.debug_mem_slave}
	set_instantiation_assignment_value embeddedsw.configuration.cpuArchitecture {Nios II}
	set_instantiation_assignment_value embeddedsw.configuration.exceptionOffset {32}
	set_instantiation_assignment_value embeddedsw.configuration.exceptionSlave {onchip_memory2_0.s1}
	set_instantiation_assignment_value embeddedsw.configuration.resetOffset {0}
	set_instantiation_assignment_value embeddedsw.configuration.resetSlave {onchip_memory2_0.s1}
	set_instantiation_assignment_value embeddedsw.dts.compatible {altr,nios2-1.1}
	set_instantiation_assignment_value embeddedsw.dts.group {cpu}
	set_instantiation_assignment_value embeddedsw.dts.name {nios2}
	set_instantiation_assignment_value embeddedsw.dts.params.altr,exception-addr {0x00020020}
	set_instantiation_assignment_value embeddedsw.dts.params.altr,implementation {"tiny"}
	set_instantiation_assignment_value embeddedsw.dts.params.altr,reset-addr {0x00020000}
	set_instantiation_assignment_value embeddedsw.dts.params.clock-frequency {100000000u}
	set_instantiation_assignment_value embeddedsw.dts.params.dcache-line-size {0}
	set_instantiation_assignment_value embeddedsw.dts.params.dcache-size {0}
	set_instantiation_assignment_value embeddedsw.dts.params.icache-line-size {0}
	set_instantiation_assignment_value embeddedsw.dts.params.icache-size {0}
	set_instantiation_assignment_value embeddedsw.dts.vendor {altr}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface_port reset reset_req reset_req 1 STD_LOGIC Input
	add_instantiation_interface data_master avalon OUTPUT
	set_instantiation_interface_parameter_value data_master adaptsTo {}
	set_instantiation_interface_parameter_value data_master addressGroup {1}
	set_instantiation_interface_parameter_value data_master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value data_master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value data_master associatedClock {clk}
	set_instantiation_interface_parameter_value data_master associatedReset {reset}
	set_instantiation_interface_parameter_value data_master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value data_master burstOnBurstBoundariesOnly {true}
	set_instantiation_interface_parameter_value data_master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value data_master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value data_master dBSBigEndian {false}
	set_instantiation_interface_parameter_value data_master doStreamReads {false}
	set_instantiation_interface_parameter_value data_master doStreamWrites {false}
	set_instantiation_interface_parameter_value data_master holdTime {0}
	set_instantiation_interface_parameter_value data_master interleaveBursts {false}
	set_instantiation_interface_parameter_value data_master isAsynchronous {false}
	set_instantiation_interface_parameter_value data_master isBigEndian {false}
	set_instantiation_interface_parameter_value data_master isReadable {false}
	set_instantiation_interface_parameter_value data_master isWriteable {false}
	set_instantiation_interface_parameter_value data_master linewrapBursts {false}
	set_instantiation_interface_parameter_value data_master maxAddressWidth {32}
	set_instantiation_interface_parameter_value data_master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value data_master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value data_master minimumReadLatency {1}
	set_instantiation_interface_parameter_value data_master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value data_master prSafe {false}
	set_instantiation_interface_parameter_value data_master readLatency {0}
	set_instantiation_interface_parameter_value data_master readWaitTime {1}
	set_instantiation_interface_parameter_value data_master registerIncomingSignals {true}
	set_instantiation_interface_parameter_value data_master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value data_master setupTime {0}
	set_instantiation_interface_parameter_value data_master timingUnits {Cycles}
	set_instantiation_interface_parameter_value data_master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value data_master writeWaitTime {0}
	set_instantiation_interface_assignment_value data_master debug.providesServices {master}
	add_instantiation_interface_port data_master d_address address 19 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port data_master d_byteenable byteenable 4 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port data_master d_read read 1 STD_LOGIC Output
	add_instantiation_interface_port data_master d_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port data_master d_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port data_master d_write write 1 STD_LOGIC Output
	add_instantiation_interface_port data_master d_writedata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port data_master debug_mem_slave_debugaccess_to_roms debugaccess 1 STD_LOGIC Output
	add_instantiation_interface instruction_master avalon OUTPUT
	set_instantiation_interface_parameter_value instruction_master adaptsTo {}
	set_instantiation_interface_parameter_value instruction_master addressGroup {1}
	set_instantiation_interface_parameter_value instruction_master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value instruction_master alwaysBurstMaxBurst {true}
	set_instantiation_interface_parameter_value instruction_master associatedClock {clk}
	set_instantiation_interface_parameter_value instruction_master associatedReset {reset}
	set_instantiation_interface_parameter_value instruction_master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value instruction_master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value instruction_master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value instruction_master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value instruction_master dBSBigEndian {false}
	set_instantiation_interface_parameter_value instruction_master doStreamReads {false}
	set_instantiation_interface_parameter_value instruction_master doStreamWrites {false}
	set_instantiation_interface_parameter_value instruction_master holdTime {0}
	set_instantiation_interface_parameter_value instruction_master interleaveBursts {false}
	set_instantiation_interface_parameter_value instruction_master isAsynchronous {false}
	set_instantiation_interface_parameter_value instruction_master isBigEndian {false}
	set_instantiation_interface_parameter_value instruction_master isReadable {false}
	set_instantiation_interface_parameter_value instruction_master isWriteable {false}
	set_instantiation_interface_parameter_value instruction_master linewrapBursts {true}
	set_instantiation_interface_parameter_value instruction_master maxAddressWidth {32}
	set_instantiation_interface_parameter_value instruction_master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value instruction_master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value instruction_master minimumReadLatency {1}
	set_instantiation_interface_parameter_value instruction_master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value instruction_master prSafe {false}
	set_instantiation_interface_parameter_value instruction_master readLatency {0}
	set_instantiation_interface_parameter_value instruction_master readWaitTime {1}
	set_instantiation_interface_parameter_value instruction_master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value instruction_master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value instruction_master setupTime {0}
	set_instantiation_interface_parameter_value instruction_master timingUnits {Cycles}
	set_instantiation_interface_parameter_value instruction_master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value instruction_master writeWaitTime {0}
	add_instantiation_interface_port instruction_master i_address address 19 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port instruction_master i_read read 1 STD_LOGIC Output
	add_instantiation_interface_port instruction_master i_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port instruction_master i_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface irq interrupt OUTPUT
	set_instantiation_interface_parameter_value irq associatedAddressablePoint {data_master}
	set_instantiation_interface_parameter_value irq associatedClock {clk}
	set_instantiation_interface_parameter_value irq associatedReset {reset}
	set_instantiation_interface_parameter_value irq irqMap {}
	set_instantiation_interface_parameter_value irq irqScheme {INDIVIDUAL_REQUESTS}
	add_instantiation_interface_port irq irq irq 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface debug_reset_request reset OUTPUT
	set_instantiation_interface_parameter_value debug_reset_request associatedClock {clk}
	set_instantiation_interface_parameter_value debug_reset_request associatedDirectReset {}
	set_instantiation_interface_parameter_value debug_reset_request associatedResetSinks {none}
	set_instantiation_interface_parameter_value debug_reset_request synchronousEdges {DEASSERT}
	add_instantiation_interface_port debug_reset_request debug_reset_request reset 1 STD_LOGIC Output
	add_instantiation_interface debug_mem_slave avalon INPUT
	set_instantiation_interface_parameter_value debug_mem_slave addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value debug_mem_slave addressGroup {0}
	set_instantiation_interface_parameter_value debug_mem_slave addressSpan {2048}
	set_instantiation_interface_parameter_value debug_mem_slave addressUnits {WORDS}
	set_instantiation_interface_parameter_value debug_mem_slave alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value debug_mem_slave associatedClock {clk}
	set_instantiation_interface_parameter_value debug_mem_slave associatedReset {reset}
	set_instantiation_interface_parameter_value debug_mem_slave bitsPerSymbol {8}
	set_instantiation_interface_parameter_value debug_mem_slave bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value debug_mem_slave bridgesToMaster {}
	set_instantiation_interface_parameter_value debug_mem_slave burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value debug_mem_slave burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value debug_mem_slave constantBurstBehavior {false}
	set_instantiation_interface_parameter_value debug_mem_slave explicitAddressSpan {0}
	set_instantiation_interface_parameter_value debug_mem_slave holdTime {0}
	set_instantiation_interface_parameter_value debug_mem_slave interleaveBursts {false}
	set_instantiation_interface_parameter_value debug_mem_slave isBigEndian {false}
	set_instantiation_interface_parameter_value debug_mem_slave isFlash {false}
	set_instantiation_interface_parameter_value debug_mem_slave isMemoryDevice {true}
	set_instantiation_interface_parameter_value debug_mem_slave isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value debug_mem_slave linewrapBursts {false}
	set_instantiation_interface_parameter_value debug_mem_slave maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value debug_mem_slave maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value debug_mem_slave minimumReadLatency {1}
	set_instantiation_interface_parameter_value debug_mem_slave minimumResponseLatency {1}
	set_instantiation_interface_parameter_value debug_mem_slave minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value debug_mem_slave prSafe {false}
	set_instantiation_interface_parameter_value debug_mem_slave printableDevice {false}
	set_instantiation_interface_parameter_value debug_mem_slave readLatency {0}
	set_instantiation_interface_parameter_value debug_mem_slave readWaitStates {1}
	set_instantiation_interface_parameter_value debug_mem_slave readWaitTime {1}
	set_instantiation_interface_parameter_value debug_mem_slave registerIncomingSignals {true}
	set_instantiation_interface_parameter_value debug_mem_slave registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value debug_mem_slave setupTime {0}
	set_instantiation_interface_parameter_value debug_mem_slave timingUnits {Cycles}
	set_instantiation_interface_parameter_value debug_mem_slave transparentBridge {false}
	set_instantiation_interface_parameter_value debug_mem_slave waitrequestAllowance {0}
	set_instantiation_interface_parameter_value debug_mem_slave wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value debug_mem_slave writeLatency {0}
	set_instantiation_interface_parameter_value debug_mem_slave writeWaitStates {0}
	set_instantiation_interface_parameter_value debug_mem_slave writeWaitTime {0}
	set_instantiation_interface_assignment_value debug_mem_slave embeddedsw.configuration.hideDevice {1}
	set_instantiation_interface_assignment_value debug_mem_slave embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value debug_mem_slave embeddedsw.configuration.isMemoryDevice {1}
	set_instantiation_interface_assignment_value debug_mem_slave embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value debug_mem_slave embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_assignment_value debug_mem_slave qsys.ui.connect {instruction_master,data_master}
	set_instantiation_interface_sysinfo_parameter_value debug_mem_slave address_map {<address-map><slave name='debug_mem_slave' start='0x0' end='0x800' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value debug_mem_slave address_width {11}
	set_instantiation_interface_sysinfo_parameter_value debug_mem_slave max_slave_data_width {32}
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_address address 9 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_debugaccess debugaccess 1 STD_LOGIC Input
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_read read 1 STD_LOGIC Input
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_write write 1 STD_LOGIC Input
	add_instantiation_interface_port debug_mem_slave debug_mem_slave_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface custom_instruction_master nios_custom_instruction OUTPUT
	set_instantiation_interface_parameter_value custom_instruction_master CIName {}
	set_instantiation_interface_parameter_value custom_instruction_master addressWidth {8}
	set_instantiation_interface_parameter_value custom_instruction_master clockCycle {0}
	set_instantiation_interface_parameter_value custom_instruction_master enabled {false}
	set_instantiation_interface_parameter_value custom_instruction_master maxAddressWidth {8}
	set_instantiation_interface_parameter_value custom_instruction_master opcodeExtension {0}
	set_instantiation_interface_parameter_value custom_instruction_master sharedCombinationalAndMulticycle {false}
	add_instantiation_interface_port custom_instruction_master dummy_ci_port readra 1 STD_LOGIC Output
	save_instantiation
	add_component mm_bridge_0 ip/lt_optimization/lt_optimization_mm_bridge_0.ip altera_avalon_mm_bridge mm_bridge_0 19.2.0
	load_component mm_bridge_0
	set_component_parameter_value ADDRESS_UNITS {SYMBOLS}
	set_component_parameter_value ADDRESS_WIDTH {10}
	set_component_parameter_value DATA_WIDTH {32}
	set_component_parameter_value LINEWRAPBURSTS {0}
	set_component_parameter_value MAX_BURST_SIZE {1}
	set_component_parameter_value MAX_PENDING_RESPONSES {4}
	set_component_parameter_value PIPELINE_COMMAND {1}
	set_component_parameter_value PIPELINE_RESPONSE {1}
	set_component_parameter_value SYMBOL_WIDTH {8}
	set_component_parameter_value SYNC_RESET {0}
	set_component_parameter_value USE_AUTO_ADDRESS_WIDTH {0}
	set_component_parameter_value USE_RESPONSE {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation mm_bridge_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface s0 avalon INPUT
	set_instantiation_interface_parameter_value s0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value s0 addressGroup {0}
	set_instantiation_interface_parameter_value s0 addressSpan {1024}
	set_instantiation_interface_parameter_value s0 addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value s0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value s0 associatedClock {clk}
	set_instantiation_interface_parameter_value s0 associatedReset {reset}
	set_instantiation_interface_parameter_value s0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value s0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value s0 bridgesToMaster {m0}
	set_instantiation_interface_parameter_value s0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value s0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value s0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value s0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value s0 holdTime {0}
	set_instantiation_interface_parameter_value s0 interleaveBursts {false}
	set_instantiation_interface_parameter_value s0 isBigEndian {false}
	set_instantiation_interface_parameter_value s0 isFlash {false}
	set_instantiation_interface_parameter_value s0 isMemoryDevice {false}
	set_instantiation_interface_parameter_value s0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value s0 linewrapBursts {false}
	set_instantiation_interface_parameter_value s0 maximumPendingReadTransactions {4}
	set_instantiation_interface_parameter_value s0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value s0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value s0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value s0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value s0 prSafe {false}
	set_instantiation_interface_parameter_value s0 printableDevice {false}
	set_instantiation_interface_parameter_value s0 readLatency {0}
	set_instantiation_interface_parameter_value s0 readWaitStates {0}
	set_instantiation_interface_parameter_value s0 readWaitTime {0}
	set_instantiation_interface_parameter_value s0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value s0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value s0 setupTime {0}
	set_instantiation_interface_parameter_value s0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value s0 transparentBridge {false}
	set_instantiation_interface_parameter_value s0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value s0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value s0 writeLatency {0}
	set_instantiation_interface_parameter_value s0 writeWaitStates {0}
	set_instantiation_interface_parameter_value s0 writeWaitTime {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value s0 address_map {}
	set_instantiation_interface_sysinfo_parameter_value s0 address_width {}
	set_instantiation_interface_sysinfo_parameter_value s0 max_slave_data_width {}
	add_instantiation_interface_port s0 s0_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface_port s0 s0_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port s0 s0_readdatavalid readdatavalid 1 STD_LOGIC Output
	add_instantiation_interface_port s0 s0_burstcount burstcount 1 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_address address 10 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_write write 1 STD_LOGIC Input
	add_instantiation_interface_port s0 s0_read read 1 STD_LOGIC Input
	add_instantiation_interface_port s0 s0_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_debugaccess debugaccess 1 STD_LOGIC Input
	add_instantiation_interface m0 avalon OUTPUT
	set_instantiation_interface_parameter_value m0 adaptsTo {}
	set_instantiation_interface_parameter_value m0 addressGroup {0}
	set_instantiation_interface_parameter_value m0 addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value m0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value m0 associatedClock {clk}
	set_instantiation_interface_parameter_value m0 associatedReset {reset}
	set_instantiation_interface_parameter_value m0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value m0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value m0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value m0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value m0 dBSBigEndian {false}
	set_instantiation_interface_parameter_value m0 doStreamReads {false}
	set_instantiation_interface_parameter_value m0 doStreamWrites {false}
	set_instantiation_interface_parameter_value m0 holdTime {0}
	set_instantiation_interface_parameter_value m0 interleaveBursts {false}
	set_instantiation_interface_parameter_value m0 isAsynchronous {false}
	set_instantiation_interface_parameter_value m0 isBigEndian {false}
	set_instantiation_interface_parameter_value m0 isReadable {false}
	set_instantiation_interface_parameter_value m0 isWriteable {false}
	set_instantiation_interface_parameter_value m0 linewrapBursts {false}
	set_instantiation_interface_parameter_value m0 maxAddressWidth {32}
	set_instantiation_interface_parameter_value m0 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value m0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value m0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value m0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value m0 prSafe {false}
	set_instantiation_interface_parameter_value m0 readLatency {0}
	set_instantiation_interface_parameter_value m0 readWaitTime {1}
	set_instantiation_interface_parameter_value m0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value m0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value m0 setupTime {0}
	set_instantiation_interface_parameter_value m0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value m0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value m0 writeWaitTime {0}
	add_instantiation_interface_port m0 m0_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port m0 m0_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port m0 m0_readdatavalid readdatavalid 1 STD_LOGIC Input
	add_instantiation_interface_port m0 m0_burstcount burstcount 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_writedata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_address address 10 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_write write 1 STD_LOGIC Output
	add_instantiation_interface_port m0 m0_read read 1 STD_LOGIC Output
	add_instantiation_interface_port m0 m0_byteenable byteenable 4 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_debugaccess debugaccess 1 STD_LOGIC Output
	save_instantiation
	add_component onchip_memory2_0 ip/lt_optimization/lt_optimization_onchip_memory2_0.ip altera_avalon_onchip_memory2 onchip_memory2_0 19.2.0
	load_component onchip_memory2_0
	set_component_parameter_value allowInSystemMemoryContentEditor {0}
	set_component_parameter_value blockType {AUTO}
	set_component_parameter_value copyInitFile {0}
	set_component_parameter_value dataWidth {32}
	set_component_parameter_value dataWidth2 {32}
	set_component_parameter_value dualPort {0}
	set_component_parameter_value ecc_enabled {0}
	set_component_parameter_value enPRInitMode {0}
	set_component_parameter_value enableDiffWidth {0}
	set_component_parameter_value initMemContent {1}
	set_component_parameter_value initializationFileName {onchip_mem.hex}
	set_component_parameter_value instanceID {NONE}
	set_component_parameter_value memorySize {100000.0}
	set_component_parameter_value readDuringWriteMode {DONT_CARE}
	set_component_parameter_value resetrequest_enabled {1}
	set_component_parameter_value simAllowMRAMContentsFile {0}
	set_component_parameter_value simMemInitOnlyFilename {0}
	set_component_parameter_value singleClockOperation {0}
	set_component_parameter_value slave1Latency {1}
	set_component_parameter_value slave2Latency {1}
	set_component_parameter_value useNonDefaultInitFile {0}
	set_component_parameter_value useShallowMemBlocks {0}
	set_component_parameter_value writable {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation onchip_memory2_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.ALLOW_IN_SYSTEM_MEMORY_CONTENT_EDITOR {0}
	set_instantiation_assignment_value embeddedsw.CMacro.ALLOW_MRAM_SIM_CONTENTS_ONLY_FILE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.CONTENTS_INFO {""}
	set_instantiation_assignment_value embeddedsw.CMacro.DUAL_PORT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.GUI_RAM_BLOCK_TYPE {AUTO}
	set_instantiation_assignment_value embeddedsw.CMacro.INIT_CONTENTS_FILE {lt_optimization_onchip_memory2_0_onchip_memory2_0}
	set_instantiation_assignment_value embeddedsw.CMacro.INIT_MEM_CONTENT {1}
	set_instantiation_assignment_value embeddedsw.CMacro.INSTANCE_ID {NONE}
	set_instantiation_assignment_value embeddedsw.CMacro.NON_DEFAULT_INIT_FILE_ENABLED {0}
	set_instantiation_assignment_value embeddedsw.CMacro.RAM_BLOCK_TYPE {AUTO}
	set_instantiation_assignment_value embeddedsw.CMacro.READ_DURING_WRITE_MODE {DONT_CARE}
	set_instantiation_assignment_value embeddedsw.CMacro.SINGLE_CLOCK_OP {0}
	set_instantiation_assignment_value embeddedsw.CMacro.SIZE_MULTIPLE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.SIZE_VALUE {100000}
	set_instantiation_assignment_value embeddedsw.CMacro.WRITABLE {1}
	set_instantiation_assignment_value embeddedsw.memoryInfo.DAT_SYM_INSTALL_DIR {SIM_DIR}
	set_instantiation_assignment_value embeddedsw.memoryInfo.GENERATE_DAT_SYM {1}
	set_instantiation_assignment_value embeddedsw.memoryInfo.GENERATE_HEX {1}
	set_instantiation_assignment_value embeddedsw.memoryInfo.HAS_BYTE_LANE {0}
	set_instantiation_assignment_value embeddedsw.memoryInfo.HEX_INSTALL_DIR {QPF_DIR}
	set_instantiation_assignment_value embeddedsw.memoryInfo.MEM_INIT_DATA_WIDTH {32}
	set_instantiation_assignment_value embeddedsw.memoryInfo.MEM_INIT_FILENAME {lt_optimization_onchip_memory2_0_onchip_memory2_0}
	set_instantiation_assignment_value postgeneration.simulation.init_file.param_name {INIT_FILE}
	set_instantiation_assignment_value postgeneration.simulation.init_file.type {MEM_INIT}
	add_instantiation_interface clk1 clock INPUT
	set_instantiation_interface_parameter_value clk1 clockRate {0}
	set_instantiation_interface_parameter_value clk1 externallyDriven {false}
	set_instantiation_interface_parameter_value clk1 ptfSchematicName {}
	add_instantiation_interface_port clk1 clk clk 1 STD_LOGIC Input
	add_instantiation_interface s1 avalon INPUT
	set_instantiation_interface_parameter_value s1 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value s1 addressGroup {0}
	set_instantiation_interface_parameter_value s1 addressSpan {100000}
	set_instantiation_interface_parameter_value s1 addressUnits {WORDS}
	set_instantiation_interface_parameter_value s1 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value s1 associatedClock {clk1}
	set_instantiation_interface_parameter_value s1 associatedReset {reset1}
	set_instantiation_interface_parameter_value s1 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value s1 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value s1 bridgesToMaster {}
	set_instantiation_interface_parameter_value s1 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value s1 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value s1 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value s1 explicitAddressSpan {100000}
	set_instantiation_interface_parameter_value s1 holdTime {0}
	set_instantiation_interface_parameter_value s1 interleaveBursts {false}
	set_instantiation_interface_parameter_value s1 isBigEndian {false}
	set_instantiation_interface_parameter_value s1 isFlash {false}
	set_instantiation_interface_parameter_value s1 isMemoryDevice {true}
	set_instantiation_interface_parameter_value s1 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value s1 linewrapBursts {false}
	set_instantiation_interface_parameter_value s1 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value s1 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value s1 minimumReadLatency {1}
	set_instantiation_interface_parameter_value s1 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value s1 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value s1 prSafe {false}
	set_instantiation_interface_parameter_value s1 printableDevice {false}
	set_instantiation_interface_parameter_value s1 readLatency {1}
	set_instantiation_interface_parameter_value s1 readWaitStates {0}
	set_instantiation_interface_parameter_value s1 readWaitTime {0}
	set_instantiation_interface_parameter_value s1 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value s1 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value s1 setupTime {0}
	set_instantiation_interface_parameter_value s1 timingUnits {Cycles}
	set_instantiation_interface_parameter_value s1 transparentBridge {false}
	set_instantiation_interface_parameter_value s1 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value s1 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value s1 writeLatency {0}
	set_instantiation_interface_parameter_value s1 writeWaitStates {0}
	set_instantiation_interface_parameter_value s1 writeWaitTime {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isMemoryDevice {1}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value s1 address_map {<address-map><slave name='s1' start='0x0' end='0x186A0' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value s1 address_width {17}
	set_instantiation_interface_sysinfo_parameter_value s1 max_slave_data_width {32}
	add_instantiation_interface_port s1 address address 15 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s1 clken clken 1 STD_LOGIC Input
	add_instantiation_interface_port s1 chipselect chipselect 1 STD_LOGIC Input
	add_instantiation_interface_port s1 write write 1 STD_LOGIC Input
	add_instantiation_interface_port s1 readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port s1 writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s1 byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface reset1 reset INPUT
	set_instantiation_interface_parameter_value reset1 associatedClock {clk1}
	set_instantiation_interface_parameter_value reset1 synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset1 reset reset 1 STD_LOGIC Input
	add_instantiation_interface_port reset1 reset_req reset_req 1 STD_LOGIC Input
	save_instantiation
	add_component reset_in ip/lt_optimization/lt_optimization_reset_in.ip altera_reset_bridge reset_in 19.2.0
	load_component reset_in
	set_component_parameter_value ACTIVE_LOW_RESET {0}
	set_component_parameter_value NUM_RESET_OUTPUTS {1}
	set_component_parameter_value SYNCHRONOUS_EDGES {deassert}
	set_component_parameter_value SYNC_RESET {0}
	set_component_parameter_value USE_RESET_REQUEST {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation reset_in
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface in_reset reset INPUT
	set_instantiation_interface_parameter_value in_reset associatedClock {clk}
	set_instantiation_interface_parameter_value in_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port in_reset in_reset reset 1 STD_LOGIC Input
	add_instantiation_interface out_reset reset OUTPUT
	set_instantiation_interface_parameter_value out_reset associatedClock {clk}
	set_instantiation_interface_parameter_value out_reset associatedDirectReset {in_reset}
	set_instantiation_interface_parameter_value out_reset associatedResetSinks {in_reset}
	set_instantiation_interface_parameter_value out_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port out_reset out_reset reset 1 STD_LOGIC Output
	save_instantiation

	# add wirelevel expressions

	# add the connections
	add_connection clock_in.out_clk/dctv_i2c_controller_0.clock_sink
	set_connection_parameter_value clock_in.out_clk/dctv_i2c_controller_0.clock_sink clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/dctv_i2c_controller_0.clock_sink clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/dctv_i2c_controller_0.clock_sink clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/dctv_i2c_controller_0.clock_sink resetDomainSysInfo {1}
	add_connection clock_in.out_clk/irq_bridge_0.clk
	set_connection_parameter_value clock_in.out_clk/irq_bridge_0.clk clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/irq_bridge_0.clk clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/irq_bridge_0.clk clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/irq_bridge_0.clk resetDomainSysInfo {1}
	add_connection clock_in.out_clk/jtag_uart_0.clk
	set_connection_parameter_value clock_in.out_clk/jtag_uart_0.clk clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/jtag_uart_0.clk clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/jtag_uart_0.clk clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/jtag_uart_0.clk resetDomainSysInfo {1}
	add_connection clock_in.out_clk/lt_cpu.clk
	set_connection_parameter_value clock_in.out_clk/lt_cpu.clk clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/lt_cpu.clk clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/lt_cpu.clk clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/lt_cpu.clk resetDomainSysInfo {1}
	add_connection clock_in.out_clk/mm_bridge_0.clk
	set_connection_parameter_value clock_in.out_clk/mm_bridge_0.clk clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/mm_bridge_0.clk clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/mm_bridge_0.clk clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/mm_bridge_0.clk resetDomainSysInfo {1}
	add_connection clock_in.out_clk/onchip_memory2_0.clk1
	set_connection_parameter_value clock_in.out_clk/onchip_memory2_0.clk1 clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/onchip_memory2_0.clk1 clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/onchip_memory2_0.clk1 clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/onchip_memory2_0.clk1 resetDomainSysInfo {1}
	add_connection clock_in.out_clk/reset_in.clk
	set_connection_parameter_value clock_in.out_clk/reset_in.clk clockDomainSysInfo {1}
	set_connection_parameter_value clock_in.out_clk/reset_in.clk clockRateSysInfo {100000000.0}
	set_connection_parameter_value clock_in.out_clk/reset_in.clk clockResetSysInfo {}
	set_connection_parameter_value clock_in.out_clk/reset_in.clk resetDomainSysInfo {1}
	add_connection lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /><slave name='mm_bridge_0.s0' start='0x41000' end='0x41400' datawidth='32' /><slave name='dctv_i2c_controller_0.avalon_slave_0' start='0x41400' end='0x41420' datawidth='32' /><slave name='jtag_uart_0.avalon_jtag_slave' start='0x41428' end='0x41430' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 baseAddress {0x00041400}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 defaultConnection {0}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 domainAlias {}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/dctv_i2c_controller_0.avalon_slave_0 slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /><slave name='mm_bridge_0.s0' start='0x41000' end='0x41400' datawidth='32' /><slave name='dctv_i2c_controller_0.avalon_slave_0' start='0x41400' end='0x41420' datawidth='32' /><slave name='jtag_uart_0.avalon_jtag_slave' start='0x41428' end='0x41430' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave baseAddress {0x00041428}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave defaultConnection {0}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave domainAlias {}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/jtag_uart_0.avalon_jtag_slave slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.data_master/lt_cpu.debug_mem_slave
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /><slave name='mm_bridge_0.s0' start='0x41000' end='0x41400' datawidth='32' /><slave name='dctv_i2c_controller_0.avalon_slave_0' start='0x41400' end='0x41420' datawidth='32' /><slave name='jtag_uart_0.avalon_jtag_slave' start='0x41428' end='0x41430' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave baseAddress {0x00040800}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave defaultConnection {0}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave domainAlias {}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/lt_cpu.debug_mem_slave slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.data_master/mm_bridge_0.s0
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /><slave name='mm_bridge_0.s0' start='0x41000' end='0x41400' datawidth='32' /><slave name='dctv_i2c_controller_0.avalon_slave_0' start='0x41400' end='0x41420' datawidth='32' /><slave name='jtag_uart_0.avalon_jtag_slave' start='0x41428' end='0x41430' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 baseAddress {0x00041000}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 defaultConnection {0}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 domainAlias {}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/mm_bridge_0.s0 slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.data_master/onchip_memory2_0.s1
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /><slave name='mm_bridge_0.s0' start='0x41000' end='0x41400' datawidth='32' /><slave name='dctv_i2c_controller_0.avalon_slave_0' start='0x41400' end='0x41420' datawidth='32' /><slave name='jtag_uart_0.avalon_jtag_slave' start='0x41428' end='0x41430' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 baseAddress {0x00020000}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 defaultConnection {0}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 domainAlias {}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.data_master/onchip_memory2_0.s1 slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.debug_reset_request/lt_cpu.reset
	set_connection_parameter_value lt_cpu.debug_reset_request/lt_cpu.reset clockDomainSysInfo {2}
	set_connection_parameter_value lt_cpu.debug_reset_request/lt_cpu.reset clockResetSysInfo {}
	set_connection_parameter_value lt_cpu.debug_reset_request/lt_cpu.reset resetDomainSysInfo {2}
	add_connection lt_cpu.instruction_master/lt_cpu.debug_mem_slave
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave baseAddress {0x00040800}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave defaultConnection {0}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave domainAlias {}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.instruction_master/lt_cpu.debug_mem_slave slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.instruction_master/onchip_memory2_0.s1
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 addressMapSysInfo {<address-map><slave name='onchip_memory2_0.s1' start='0x20000' end='0x386A0' datawidth='32' /><slave name='lt_cpu.debug_mem_slave' start='0x40800' end='0x41000' datawidth='32' /></address-map>}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 addressWidthSysInfo {19}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 arbitrationPriority {1}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 baseAddress {0x00020000}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 defaultConnection {0}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 domainAlias {}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value lt_cpu.instruction_master/onchip_memory2_0.s1 slaveDataWidthSysInfo {-1}
	add_connection lt_cpu.irq/irq_bridge_0.sender0_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender0_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender0_irq irqNumber {0}
	add_connection lt_cpu.irq/irq_bridge_0.sender1_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender1_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender1_irq irqNumber {1}
	add_connection lt_cpu.irq/irq_bridge_0.sender2_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender2_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender2_irq irqNumber {2}
	add_connection lt_cpu.irq/irq_bridge_0.sender3_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender3_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender3_irq irqNumber {3}
	add_connection lt_cpu.irq/irq_bridge_0.sender4_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender4_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender4_irq irqNumber {4}
	add_connection lt_cpu.irq/irq_bridge_0.sender5_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender5_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender5_irq irqNumber {5}
	add_connection lt_cpu.irq/irq_bridge_0.sender6_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender6_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender6_irq irqNumber {6}
	add_connection lt_cpu.irq/irq_bridge_0.sender7_irq
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender7_irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/irq_bridge_0.sender7_irq irqNumber {7}
	add_connection lt_cpu.irq/jtag_uart_0.irq
	set_connection_parameter_value lt_cpu.irq/jtag_uart_0.irq interruptsUsedSysInfo {511}
	set_connection_parameter_value lt_cpu.irq/jtag_uart_0.irq irqNumber {8}
	add_connection reset_in.out_reset/dctv_i2c_controller_0.clock_sink_reset
	set_connection_parameter_value reset_in.out_reset/dctv_i2c_controller_0.clock_sink_reset clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/dctv_i2c_controller_0.clock_sink_reset clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/dctv_i2c_controller_0.clock_sink_reset resetDomainSysInfo {3}
	add_connection reset_in.out_reset/irq_bridge_0.clk_reset
	set_connection_parameter_value reset_in.out_reset/irq_bridge_0.clk_reset clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/irq_bridge_0.clk_reset clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/irq_bridge_0.clk_reset resetDomainSysInfo {3}
	add_connection reset_in.out_reset/jtag_uart_0.reset
	set_connection_parameter_value reset_in.out_reset/jtag_uart_0.reset clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/jtag_uart_0.reset clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/jtag_uart_0.reset resetDomainSysInfo {3}
	add_connection reset_in.out_reset/lt_cpu.reset
	set_connection_parameter_value reset_in.out_reset/lt_cpu.reset clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/lt_cpu.reset clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/lt_cpu.reset resetDomainSysInfo {3}
	add_connection reset_in.out_reset/mm_bridge_0.reset
	set_connection_parameter_value reset_in.out_reset/mm_bridge_0.reset clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/mm_bridge_0.reset clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/mm_bridge_0.reset resetDomainSysInfo {3}
	add_connection reset_in.out_reset/onchip_memory2_0.reset1
	set_connection_parameter_value reset_in.out_reset/onchip_memory2_0.reset1 clockDomainSysInfo {3}
	set_connection_parameter_value reset_in.out_reset/onchip_memory2_0.reset1 clockResetSysInfo {}
	set_connection_parameter_value reset_in.out_reset/onchip_memory2_0.reset1 resetDomainSysInfo {3}

	# add the exports
	set_interface_property clk EXPORT_OF clock_in.in_clk
	set_interface_property dctv_i2c_controller_0_conduit_i2c EXPORT_OF dctv_i2c_controller_0.conduit_i2c
	set_interface_property irq_bridge_0_receiver_irq EXPORT_OF irq_bridge_0.receiver_irq
	set_interface_property mm_bridge_0_m0 EXPORT_OF mm_bridge_0.m0
	set_interface_property reset EXPORT_OF reset_in.in_reset

	# set the the module properties
	set_module_property BONUS_DATA {<?xml version="1.0" encoding="UTF-8"?>
<bonusData>
 <element __value="clock_in">
  <datum __value="_sortIndex" value="0" type="int" />
 </element>
 <element __value="dctv_i2c_controller_0">
  <datum __value="_sortIndex" value="6" type="int" />
 </element>
 <element __value="dctv_i2c_controller_0.avalon_slave_0">
  <datum __value="baseAddress" value="267264" type="String" />
 </element>
 <element __value="irq_bridge_0">
  <datum __value="_sortIndex" value="7" type="int" />
  <datum __value="sopceditor_expanded" value="1" type="boolean" />
 </element>
 <element __value="jtag_uart_0">
  <datum __value="_sortIndex" value="4" type="int" />
 </element>
 <element __value="jtag_uart_0.avalon_jtag_slave">
  <datum __value="baseAddress" value="267304" type="String" />
 </element>
 <element __value="lt_cpu">
  <datum __value="_sortIndex" value="2" type="int" />
 </element>
 <element __value="lt_cpu.debug_mem_slave">
  <datum __value="baseAddress" value="264192" type="String" />
 </element>
 <element __value="mm_bridge_0">
  <datum __value="_sortIndex" value="5" type="int" />
 </element>
 <element __value="mm_bridge_0.s0">
  <datum __value="baseAddress" value="266240" type="String" />
 </element>
 <element __value="onchip_memory2_0">
  <datum __value="_sortIndex" value="3" type="int" />
 </element>
 <element __value="onchip_memory2_0.s1">
  <datum __value="baseAddress" value="131072" type="String" />
 </element>
 <element __value="reset_in">
  <datum __value="_sortIndex" value="1" type="int" />
 </element>
</bonusData>
}
	set_module_property FILE {lt_optimization.qsys}
	set_module_property GENERATION_ID {0x00000000}
	set_module_property NAME {lt_optimization}

	# save the system
	sync_sysinfo_parameters
	save_system lt_optimization
}

proc do_set_exported_interface_sysinfo_parameters {} {
}

# create all the systems, from bottom up
do_create_lt_optimization

# set system info parameters on exported interface, from bottom up
do_set_exported_interface_sysinfo_parameters
